Subject: Re: bug#32338: 26.1; term.el broken on macOS

From: Constantine Vetoshev <[email-masked]>
Date: Sat, 22 Sep 2018 11:12:15 -0700

On Thu, Sep 20, 2018 at 5:35 PM Noam Postavsky <[email-masked]> wrote:
> Okay, I'm going to guess it's the change to use vfork.  Here's a patch
> which should undo that change (I can't test it on macOS, and it's just
> assembled from git log --grep=vfork, so I may have missed something).
> Try it out and see if it avoids the crash.

Thanks! I just applied the patch to the 26.1 release source tree (it
applied cleanly) and rebuilt Emacs. This build still hangs, but
there's one difference: it no longer prints "Fatal error 11:
Segmentation fault" immediately after forking. When I sigint the Emacs
process after the hang, it still prints the NSAutoreleasePool error
message, and it still requires a sigkill to avoid eating CPU.

Is there anything else I should try to help track this down before
going down the road of running 'git bisect'?